function NetworkSetting()
{ 
  //儲存, 設定
  this.SetHostname         = function(that){NetworkSetting.prototype._SetHostname_(that);};
  this.SetDdns         = function(that){NetworkSetting.prototype._SetDdns_(that);};
  this.SetLan1NetworkSetting = function(that){NetworkSetting.prototype._SetLan1NetworkSetting_(that);};
  var SetLan1Ipv4StaticIp = function(that){NetworkSetting.prototype._SetLan1Ipv4StaticIp_(that);};
  var SetLan1Dhcp = function(that){NetworkSetting.prototype._SetLan1Dhcp_(that);};

  this.SetLan2NetworkSetting = function(that){NetworkSetting.prototype._SetLan2NetworkSetting_(that);};
  var SetLan2Ipv4StaticIp = function(that){NetworkSetting.prototype._SetLan2Ipv4StaticIp_(that);};
  var SetLan2Dhcp = function(that){NetworkSetting.prototype._SetLan2Dhcp_(that);};
  //檢查
  var Lan1AllDataIsCorrect = function(){return NetworkSetting.prototype._Lan1AllDataIsCorrect_();};
  var Lan2AllDataIsCorrect = function(){return NetworkSetting.prototype._Lan2AllDataIsCorrect_();};
  var HostnameIsCorrect    = function(){return NetworkSetting.prototype._HostnameIsCorrect_();};
  var DdnsAllDataIsCorrect    = function(){return NetworkSetting.prototype._DdnsAllDataIsCorrect_();};
  this.CheckIp       = function(that){NetworkSetting.prototype._CheckIp_(that);};
  this.CheckMask     = function(that){NetworkSetting.prototype._CheckMask_(that);};
  this.CheckGateway  = function(that){NetworkSetting.prototype._CheckGateway_(that);};
  this.CheckHostname = function(that){NetworkSetting.prototype._CheckHostname_(that);};

  //傳輸資料, 傳輸設定
  var TransmissionLan1StaticIpAllData = function(that){NetworkSetting.prototype._TransmissionLan1StaticIpAllData_(that);};
  var TransmissionLan1Dhcp            = function(that, ssocket){NetworkSetting.prototype._TransmissionLan1Dhcp_(that, ssocket);};
  var TransmissionHostnameData        = function(that, array, ssocket){NetworkSetting.prototype._TransmissionHostnameData_(that, array, ssocket);};
  var TransmissionDdnsData            = function(that, array, ssocket){NetworkSetting.prototype._TransmissionDdnsData_(that, array, ssocket);};

  //讀寫值
  var Lan1ReadIP       = function(){return NetworkSetting.prototype._Lan1ReadIP_();};
  var Lan1ReadMask     = function(){return NetworkSetting.prototype._Lan1ReadMask_();};
  var Lan1ReadGateway  = function(){return NetworkSetting.prototype._Lan1ReadGateway_();};
  var Lan1WriteIP      = function(){NetworkSetting.prototype._Lan1WriteIP_(IP);};
  var Lan1WriteMask    = function(){NetworkSetting.prototype._Lan1WriteMask_(Mask);};
  var Lan1WriteGateway = function(){NetworkSetting.prototype._Lan1WriteGateway_(Gateway);};

  var Lan2ReadIP       = function(){return NetworkSetting.prototype._Lan2ReadIP_();};
  var Lan2ReadMask     = function(){return NetworkSetting.prototype._Lan2ReadMask_();};
  var Lan2ReadGateway  = function(){return NetworkSetting.prototype._Lan2ReadGateway_();};
  var Lan2WriteIP      = function(){NetworkSetting.prototype._Lan2WriteIP_(IP);};
  var Lan2WriteMask    = function(){NetworkSetting.prototype._Lan2WriteMask_(Mask);};
  var Lan2WriteGateway = function(){NetworkSetting.prototype._Lan2WriteGateway_(Gateway);};

  //收集資料
  var CollectLan1AllData = function(){return NetworkSetting.prototype._CollectLan1AllData_();};
  var CollectLan2AllData = function(){return NetworkSetting.prototype._CollectLan2AllData_();};
  var CollectDdnsAllData = function(){return NetworkSetting.prototype._CollectDdnsAllData_();};
  
  //介面
  this.Lan1ChangeRadio = function(Bool){NetworkSetting.prototype._Lan1ChangeRadio_(Bool);};
  this.Lan2ChangeRadio = function(Bool){NetworkSetting.prototype._Lan2ChangeRadio_(Bool);};
  var GetDdns       = function(Result){NetworkSetting.prototype._GetDdns_(Result);};
  var GetLan1Ipv4Ip = function(Result){NetworkSetting.prototype._GetLan1Ipv4Ip_(Result);};
  var GetLan2Ipv4Ip = function(Result){NetworkSetting.prototype._GetLan2Ipv4Ip_(Result);};
  var GetHostname   = function(Result){NetworkSetting.prototype._GetHostname_(Result);};
  this.ShowUi       = function(){NetworkSetting.prototype._ShowUi_();};
  var ChangeUi       = function(){NetworkSetting.prototype._ChangeUi_();};
  var TransferIpAddress = function(that, IpAddress){NetworkSetting.prototype._TransferIpAddress_(that, IpAddress);};
}